org.jgrapht.ext

## Interface VertexProvider<V>

- Type Parameters:
    `V` - Vertex type

      public interface VertexProvider<V>

  Creates a Vertex of type V

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `V` | `buildVertex(String label, Map<String,String> attributes)` Create a vertex

- - ### Method Detail

    - #### buildVertex

          V buildVertex(String label,
                      Map<String,String> attributes)

      Create a vertex
      Parameters:
        `label` - the label of the vertex
        `attributes` - any other attributes of the vertex
      Returns:
        the vertex.

Copyright © 2016. All rights reserved.